//
//  CUViewController.m
//  TheSocial
//
//  Created by Ken Anderson on 10/19/12.
//  Copyright (c) 2012 University of Colorado. All rights reserved.
//

#import "ContactDetailViewController.h"

#import "ContactInfo.h"
#import "ContactTableViewController.h"

@interface ContactDetailViewController ()

@property (weak, nonatomic) IBOutlet UITextField *nameField;
@property (weak, nonatomic) IBOutlet UITextField *twitterField;
@property (weak, nonatomic) IBOutlet UITextField *facebookField;
@property (weak, nonatomic) IBOutlet UITextField *emailField;

@end

@implementation ContactDetailViewController

- (void)viewWillAppear:(BOOL)animated {
    [super viewWillAppear:animated];
    self.title = self.info.name;
    self.nameField.text = self.info.name;
    self.twitterField.text = self.info.twitter;
    self.facebookField.text = self.info.facebook;
    self.emailField.text = self.info.email;
}

- (void)viewDidDisappear:(BOOL)animated {
    [super viewDidDisappear:animated];
    self.info.name = self.nameField.text;
    self.info.twitter = self.twitterField.text;
    self.info.facebook = self.facebookField.text;
    self.info.email = self.emailField.text;
    [self.table contactUpdated];
}

- (IBAction)dismissKeyboard:(UIButton *)sender {
    [self.view endEditing:YES];
}

@end
