//
//  ContactTableViewController.m
//  TheSocial
//
//  Created by Ken Anderson on 10/19/12.
//  Copyright (c) 2012 University of Colorado. All rights reserved.
//

#import "ContactTableViewController.h"

#import "ContactInfo.h"
#import "ContactDetailViewController.h"

@interface ContactTableViewController ()

@property (nonatomic, strong) NSMutableArray *contacts;

@end

@implementation ContactTableViewController

- (id)initWithStyle:(UITableViewStyle)style
{
    self = [super initWithStyle:style];
    if (self) {

        
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];
    
    NSLog(@"Creating contacts...");
    self.contacts = [[NSMutableArray alloc] init];
    
    ContactInfo *info = [[ContactInfo alloc] init];
    info.name = @"Steve Martin";
    info.twitter = @"SteveMartinToGo";
    info.facebook = @"http://www.facebook.com/SteveMartinofficial";
    info.email = @"Steve.Martin@example.com";
    
    [self.contacts addObject:info];
    
    info = [[ContactInfo alloc] init];
    info.name = @"Wierd Al Yankovich";
    info.twitter = @"alyankovic";
    info.facebook = @"https://www.facebook.com/weirdal";
    info.email = @"Wierd.Al@example.com";
    
    [self.contacts addObject:info];


    // Uncomment the following line to preserve selection between presentations.
    // self.clearsSelectionOnViewWillAppear = NO;
 
    // Uncomment the following line to display an Edit button in the navigation bar for this view controller.
    // self.navigationItem.rightBarButtonItem = self.editButtonItem;
}

#pragma mark - Table view data source

- (NSInteger)numberOfSectionsInTableView:(UITableView *)tableView {
    return 1;
}

- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section {
    return [self.contacts count];
}

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath {
    static NSString *CellIdentifier = @"Cell";
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:CellIdentifier forIndexPath:indexPath];

    ContactInfo *info = [self.contacts objectAtIndex:indexPath.row];

    cell.textLabel.text = info.name;
    cell.detailTextLabel.text = info.email;
    
    return cell;
}

- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender {
    if ([segue.identifier isEqualToString:@"Show Details"]) {
        ContactDetailViewController *vc = (ContactDetailViewController *)segue.destinationViewController;
        
        NSIndexPath *index = [self.tableView indexPathForCell:sender];
        
        ContactInfo *info = [self.contacts objectAtIndex:index.row];
        
        vc.info = info;
        vc.table = self;
    }
}

- (void)contactUpdated {
    [self.tableView reloadData];
}

@end
